package com.jpsoft.shinestar.modules.business.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.business.entity.MedicalRecords;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MedicalRecordsService {
	MedicalRecords get(String id);
	boolean exist(String id);
	int insert(MedicalRecords model);
	int update(MedicalRecords model);
	int delete(String id);
	List<MedicalRecords> list();
	Page<MedicalRecords> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}